Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs.parameters
Interface RangeIterator

All Known Implementing Classes:
  AbsoluteValueCondition.AbsoluteValueConditionParameterSet, AbstractBurnInTestParameterSet, AbstractTerminationCondition.AbstractTerminationConditionParameterSet, Alphabet.AlphabetParameterSet, AlphabetContainerParameterSet, AlphabetContainerParameterSet.AlphabetArrayParameterSet, AlphabetContainerParameterSet.SectionDefinedAlphabetParameterSet, ArrayParameterSet, BayesianNetworkModelParameterSet, BayesianNetworkScoringFunctionParameterSet, BTExplainingAwayResidual.BTExplainingAwayResidualParameterSet, BTMutualInformation.BTMutualInformationParameterSet, ClassifierAssessmentAssessParameterSet, CombinedCondition.CombinedConditionParameterSet, ContinuousAlphabet.ContinuousAlphabetParameterSet, DGMParameterSet, DiscreteAlphabet.DiscreteAlphabetParameterSet, DNAAlphabet.DNAAlphabetParameterSet, ExpandableParameterSet, FSDAGModelForGibbsSamplingParameterSet, FSDAGMParameterSet, GenDisMixClassifierParameterSet, HomMMParameterSet, HomogeneousModelParameterSet, IDGMParameterSet, InhomogeneousMarkov.InhomogeneousMarkovParameterSet, InstanceParameterSet, IterationCondition.IterationConditionParameterSet, KFoldCVAssessParameterSet, MeasureParameters, MultiSelectionCollectionParameter, ParameterSet, ParameterSetContainer, PMMExplainingAwayResidual.PMMExplainingAwayResidualParameterSet, PMMMutualInformation.PMMMutualInformationParameterSet, RangeParameter, RepeatedHoldOutAssessParameterSet, RepeatedSubSamplingAssessParameterSet, Sampled_RepeatedHoldOutAssessParameterSet, ScoreClassifierParameterSet, SequenceScoringParameterSet, SimpleParameterSet, SmallDifferenceOfFunctionEvaluationsCondition.SmallDifferenceOfFunctionEvaluationsConditionParameterSet, SmallGradientConditon.SmallGradientConditonParameterSet, SmallStepCondition.SmallStepConditionParameterSet, TimeCondition.TimeConditionParameterSet, VarianceRatioBurnInTestParameterSet

    public interface RangeIterator

Interface for a `Parameter` or `ParameterSet` that can have multiple values at the same time. This includes methods to loop over all values while preserving the expected behaviour of the methods defined in `Parameter` respectively `ParameterSet`.

Author:
  Jan Grau, Jens Keilwagen

Method Summary
`int` | `getNumberOfValues()` Returns the number of values in the collection.
`boolean` | `isRanged()` Returns `true` if this `RangeIterator` is ranging over a set of values.
`boolean` | `next()` Switches to the next value in the collection of values in the specified range.
`void` | `resetToFirst()` Resets the current value in the collection to the first value.
`String` | `valuesToString()` Returns a `String` representation of the set of values.

Method Detail

### next

    boolean next()
                 throws ParameterException

  Switches to the next value in the collection of values in the specified range.

  Returns:
    `true` if the next element exists, `false` otherwise
  Throws:
    `ParameterException` - if the next value could not be fetched

### resetToFirst

    void resetToFirst()

  Resets the current value in the collection to the first value.

### getNumberOfValues

    int getNumberOfValues()

  Returns the number of values in the collection.

  Returns:
    the number of values

### valuesToString

    String valuesToString()

  Returns a `String` representation of the set of values.

  Returns:
    the `String` representation

### isRanged

    boolean isRanged()

  Returns `true` if this `RangeIterator` is ranging over a set of values.

  Returns:
    `true` if this `RangeIterator` is ranging over a set of values, `false` otherwise

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD